Reach
List Promotion Subscribers
Returns the paginated list of subscribers who joined via a specific promotion. Each row is a full user profile with the discounted price, regular price, and lifetime spend totals. Requires permission api_reach_list_promotion_subscribers.
https://public-api.buffmetrics.comGET/v1/{account_id}/reach/promotions/{promo_id}/subscribers
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
promo_id*integerPromotion ID from
/reach/promotions.
Query Parameters
limitintegerPage size. Default 10. Min 1, max 100.
offsetintegerRows to skip.
curl --request GET "https://public-api.buffmetrics.com/v1/acct_XXXXX/reach/promotions/sample_promo_id/subscribers?limit=20&offset=0" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200{
"data":{
"hasMore":true
"list":[
0:{
"id":3821821
"username":"infamous1050"
"name":"Infamous"
"view":"x"
"subscribedBy":true
"subscribedByExpireDate":"2035-10-08T02:34:38+00:00"
"subscribedOnDuration":"6 months"
"subscribedOnData":{
"price":9.99
"regularPrice":14.99
"subscribeAt":"2025-10-08T02:34:37+00:00"
"expiredAt":"2026-04-20T03:34:55+00:00"
"duration":"6 months"
"tipsSumm":0
"subscribesSumm":43.95
"messagesSumm":19.99
"postsSumm":0
"streamsSumm":0
"totalSumm":63.94
"lastActivity":"2026-03-20T03:34:55+00:00"
}
"promoOffers":[]
}
]
}
"_pagination":{
"next_page":"/v1/21689165/reach/promotions/52752862/subscribers?limit=10&offset=10"
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}